/* ================= GLOBAL SELCTOR================= */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  ;
}
html{
  scroll-behavior: smooth;
}
body {
  background-color: rgb(0,0,0);
  color: #fff;
  line-height: 1.6;
  scroll-behavior: smooth;
  background-attachment: scroll;
  background-repeat: no-repeat;
}

a {
  text-decoration: none;
  color: inherit;
}

.highlight {
  color: #4dc4ff;
  font-weight: bold; 
}

/* ================= NAVBAR ================= */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 60px;
  border-bottom: 1px solid #222;;
  background-color: #092330;
  position: sticky;/*position fixed not move*/
  top: 0;
  z-index: 100;/*it is show the which box show up or below*/
}

.logo {
  font-size: 26px;
  color: #4dc4ff;
  font-weight: bold;
  font-family: 'Gill Sans', 'Gill Sans MT',
   Calibri, 'Trebuchet MS', sans-serif ;
}
.nav-links {
  display: flex;
  list-style: none;
  gap: 30px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  scroll-behavior: smooth;
}
.nav-links li a {
  color: #fff;
  font-size: 16px;
  transition: color 0.3s;
}
.nav-links li a:hover {
  color: #4dc4ff;
}
.menu-icon {
  display: none;
  font-size: 24px;
  cursor: pointer;
  color: #fff;
}

/* ================= HERO ================= */
.hero {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 60px;
  min-height: 80vh;
}

.hero-text h1 {
  font-size: 35px;
  margin-bottom: 10px;
  font-family:  'Montserrat',sans-serif;
}

.hero-text h2 {
  font-size: 28px;
  margin-bottom: 20px;
  font-family: 'Montserrat',sans-serif;
}

.hero-text p {
  font-size: 18px;
  margin-bottom: 10px;
  font-family: 'Roboto',sans-serif;
}

.hero-buttons {
  margin-top: 25px;
  display: flex;
  gap: 15px;
}

.btn {
  padding: 10px 22px;
  border-radius: 6px;
  font-size: 14px;
  cursor: pointer;
  transition: all 0.3s ease;
  display: inline-block;
  border: 1px solid transparent;
  font-family:'Poppins',sans-serif ;
}

.btn-primary {
  background-color: #4dc4ff;
  color: #000;
  transition: 0.3s;
}

.btn-primary:hover {
  background-color: #1ea7e6;
  transform: translateY(-2px);
}

.btn-outline {
  border: 1px solid #fff;
  color: #fff;
  transition: 0.3s;
}

.btn-outline:hover {
  background-color: #fff;
  color: #000;
  transform: translateY(-2px);
}

.hero-img img {
  width: 320px;
  height: 320px;
  border-radius: 50%;
  object-fit: cover;
  box-shadow: 0 0 20px #4dc4ff;
  margin-right: 100px;
  padding-top: 45px;
}

/* ================= ABOUT ================= */
.about {
  padding: 60px;
}

.about h2 {
  font-size: 28px;
  margin-bottom: 20px;
  font-family:  'Montserrat',sans-serif;
}

.about p {
  max-width: 600px;
  font-size: 16px;
  font-family:'Roboto',sans-serif;
}

/* ================= SKILLS ================= */
.skills {
  padding: 60px;
  text-align: center;
}

.skills h2 {
  font-size: 28px;
  margin-bottom: 30px;
  font-family:  'Montserrat',sans-serif;
}

.skills-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 25px;
  max-width: 900px;
  margin: 0 auto;
}

.skill-card {
  background-color: #111;
  border: 1px solid #222;
  padding: 25px;
  border-radius: 12px;
  transition: transform 0.3s, box-shadow 0.3s;
}

.skill-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 0 20px #4dc4ff;
}

.skill-card i {
  font-size: 40px;
  color: #4dc4ff;
  margin-bottom: 10px;
}

.skill-card p {
  font-size: 16px;
  font-family: Arial, Helvetica, sans-serif;
}

/* ================= PROJECTS ================= */
.projects {
  padding: 60px;
  text-align: center;
}

.projects h2 {
  font-size: 28px;
  margin-bottom: 30px;
   font-family:  'Montserrat',sans-serif;
}

.projects-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);/*equal column & space */
  gap: 30px;
  max-width: 1000px;
  margin: 0 auto;
}

.project-card {
  font-family:'Poppins',sans-serif ;
  background-color: #111;
  border-radius: 12px;
  overflow: hidden;
  text-align: left;
  transition: transform 0.3s;
}

.project-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 0 20px #4dc4ff;
}

.project-card img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

.project-card h3 {
  padding: 15px 15px 5px;
  font-size: 18px;
  font-family: 'Roboto',sans-serif;
}

.project-card p {
  padding: 0 15px 15px;
  font-size: 14px;
  color: #ccc;
  font-family: 'Poppins',sans-serif;
}

.project-card .btn{
margin:0px 0px 15px;
}

/* ================= CONTACT ================= */
.contact {
  padding: 60px;
  text-align: center;
}

.contact h2 {
  font-size: 28px;
  margin-bottom: 30px;
  font-family: 'Roboto',sans-serif;
}

.contact-form {
  display: flex;
  flex-direction: column;
  gap: 15px;
  max-width: 500px;
  margin: 0 auto;
}

.contact-form input,
.contact-form textarea {
  padding: 12px;
  border-radius: 6px;
  border: 1px solid #333;
  background-color: #111;
  color: #fff;
  font-size: 14px;
  font-family: "Courier New", monospace;
}

.contact-form input:focus,
.contact-form textarea:focus {
  outline: none;
  border-color: #4dc4ff;
}

.contact-form button {
  align-self: center;
  padding: 12px 30px;
  border: none;
  font-family: 'Poppins',sans-serif;
}

/* ================= FOOTER ================= */
.footer {
  background-color: #0a0a0a;
  text-align: center;
  padding: 30px 20px;
  border-top: 1px solid #222;
}

.social-links {
  margin-bottom: 15px;
}

.social-links a {
  color: #fff;
  font-size: 22px;
  margin: 0 10px;
  transition: color 0.3s;
}

.social-links a:hover {
  color: #4dc4ff;
}

.footer p {
  font-size: 14px;
  color: #888;
}

/* ================= RESPONSIVE — TABLET ================= */
@media (max-width: 992px) {
  .hero {
    flex-direction: column-reverse;/*order reverse up to down in column*/
    text-align: center;
    padding: 40px 30px;
  }

  .hero-buttons {
    justify-content: center;
  }

  .hero-img img {
    width: 250px;
    height: 250px;
    margin-bottom: 30px;
    box-shadow: 0 0 15px #4dc4ff ;
  }

  .skills-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* ================= RESPONSIVE — MOBILE ================= */
@media (max-width: 768px) {
  .navbar {
    padding: 15px 20px;
  }

  .nav-links {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: #000;
    position: absolute;
    top: 65px; /*move top to down*/
    left: 0;/*no move left*/        
    padding: 20px;
    gap: 15px;
    text-align: center;
  }

  .nav-links.show{
    display:flex; /*item show in column when clicked*/
  }

  .menu-icon {
    display:block;
  }

  .hero-text h1 {
    font-size: 32px;
  }

  .hero-text h2 {
    font-size: 22px;
  }

  .about,
  .skills,
  .projects,
  .contact {
    padding: 40px 20px;
}

  .skills-grid {
    grid-template-columns: repeat(3,1fr);
  }

  .projects-grid {
    grid-template-columns: repeat(1,1fr);
  }

  .hero-img img {
    width: 200px;
    height: 200px;
    margin-left: 70px;
  }
}

/* ================= RESPONSIVE — SMALL MOBILE ================= */
@media (max-width: 420px) {
  .skills-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
  }

  .hero-buttons {
    flex-direction: column;
    gap: 10px;
  }

  .btn {
    width: 100%;
    text-align: center;
  }
}
